Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.financials.get_cash_flow_statements()
while res is not None:
# Handle items
res = res.next()import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.financials.cashFlowStatements.get();
for await (const page of result) {
console.log(page);
}
}
run();curl --request GET \
--url https://api.aries.com/v1/financials/cash-flow-statements \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/financials/cash-flow-statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/financials/cash-flow-statements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/financials/cash-flow-statements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/financials/cash-flow-statements")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/financials/cash-flow-statements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"nextUrl": "https://api.aries.com/v1/financials/cash-flow-statements?limit=5&next=ASYPBEFBUEwCAgABAQABAQUAAgEJ-zp0AQ8KMDAwMDMyMDE5Mw%3D%3D&tickersAnyOf=AAPL",
"requestId": "d9ebd27856db41dc8f24f8118f9cada0",
"results": [
{
"cashFromOperatingActivitiesContinuingOperations": 5781000000,
"changeInCashAndEquivalents": 2346000000,
"changeInOtherOperatingAssetsAndLiabilitiesNet": 1564000000,
"cik": "0000320193",
"depreciationDepletionAndAmortization": 209000000,
"dividends": 0,
"filingDate": "2011-01-19",
"fiscalQuarter": 1,
"fiscalYear": 2010,
"longTermDebtIssuancesRepayments": 0,
"netCashFromFinancingActivities": 523000000,
"netCashFromFinancingActivitiesContinuingOperations": 523000000,
"netCashFromInvestingActivities": -3958000000,
"netCashFromInvestingActivitiesContinuingOperations": -3958000000,
"netCashFromOperatingActivities": 5781000000,
"netIncome": 3378000000,
"otherFinancingActivities": 523000000,
"otherInvestingActivities": -3582000000,
"otherOperatingActivities": 630000000,
"periodEnd": "2009-12-26",
"purchaseOfPropertyPlantAndEquipment": -376000000,
"tickers": [
"AAPL"
],
"timeframe": "quarterly"
}
],
"status": "OK"
}Financials
Cash Flow Statements
Retrieve SEC cash flow statement rows by filing period. Filter by CIK, tickers, filing and period dates, fiscal year and quarter, timeframe, and pagination.
Use Case: Pull operating, investing, and financing cash flows for a company across quarterly or annual filings for fundamental analysis.
GET
/
v1
/
financials
/
cash-flow-statements
Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.financials.get_cash_flow_statements()
while res is not None:
# Handle items
res = res.next()import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.financials.cashFlowStatements.get();
for await (const page of result) {
console.log(page);
}
}
run();curl --request GET \
--url https://api.aries.com/v1/financials/cash-flow-statements \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/financials/cash-flow-statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/financials/cash-flow-statements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/financials/cash-flow-statements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/financials/cash-flow-statements")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/financials/cash-flow-statements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"nextUrl": "https://api.aries.com/v1/financials/cash-flow-statements?limit=5&next=ASYPBEFBUEwCAgABAQABAQUAAgEJ-zp0AQ8KMDAwMDMyMDE5Mw%3D%3D&tickersAnyOf=AAPL",
"requestId": "d9ebd27856db41dc8f24f8118f9cada0",
"results": [
{
"cashFromOperatingActivitiesContinuingOperations": 5781000000,
"changeInCashAndEquivalents": 2346000000,
"changeInOtherOperatingAssetsAndLiabilitiesNet": 1564000000,
"cik": "0000320193",
"depreciationDepletionAndAmortization": 209000000,
"dividends": 0,
"filingDate": "2011-01-19",
"fiscalQuarter": 1,
"fiscalYear": 2010,
"longTermDebtIssuancesRepayments": 0,
"netCashFromFinancingActivities": 523000000,
"netCashFromFinancingActivitiesContinuingOperations": 523000000,
"netCashFromInvestingActivities": -3958000000,
"netCashFromInvestingActivitiesContinuingOperations": -3958000000,
"netCashFromOperatingActivities": 5781000000,
"netIncome": 3378000000,
"otherFinancingActivities": 523000000,
"otherInvestingActivities": -3582000000,
"otherOperatingActivities": 630000000,
"periodEnd": "2009-12-26",
"purchaseOfPropertyPlantAndEquipment": -376000000,
"tickers": [
"AAPL"
],
"timeframe": "quarterly"
}
],
"status": "OK"
}Authorizations
Query Parameters
Response
Successful response with one or more SEC cash flow rows, status, request id, and optional nextUrl for pagination.
Paginated SEC cash flow statements (results, status, requestId, nextUrl).
Was this page helpful?